org.apache.fop.render.pdf

## Interface PDFEventProducer

All Superinterfaces:
  EventProducer

    public interface PDFEventProducer
    extends EventProducer

Event producer interface for events generated by the PDF renderer. PDFEventProducer.xml should include a message for all event-raising methods.

### Nested Class Summary

Nested Classes
`static class` `PDFEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `incorrectEncryptionLength(Object source, int originalValue, int correctedValue)` The encryption length must be a multiple of 8 between 40 and 128.
`void` `languageChanged(Object source, Object oldLang, String newLang)` The language was changed between pages
`void` `nonFullyResolvedLinkTargets(Object source, int count)` Some link targets haven't been fully resolved.
`void` `nonStandardStructureType(Object source, String type, String fallback)` Custom structure type is not standard as per the PDF reference.
`void` `unknownLanguage(Object source, String location)` The language of a piece of text is unknown.
`void` `unpairedSurrogate(Object source)` Unicode char map ended with an unpaired surrogate.

### Method Detail

#### nonFullyResolvedLinkTargets

    void nonFullyResolvedLinkTargets(Object source,
                                     int count)

Some link targets haven't been fully resolved.

Parameters:
  `source` - the event source
  `count` - the number of unresolved links
Event.severity:
  WARN

#### nonStandardStructureType

    void nonStandardStructureType(Object source,
                                  String type,
                                  String fallback)

Custom structure type is not standard as per the PDF reference.

Parameters:
  `source` - the event source
  `type` - custom structure type
  `fallback` - default structure type used as a fallback
Event.severity:
  WARN

#### incorrectEncryptionLength

    void incorrectEncryptionLength(Object source,
                                   int originalValue,
                                   int correctedValue)

The encryption length must be a multiple of 8 between 40 and 128.

Parameters:
  `source` - the event source
  `originalValue` - requested encryption length
  `correctedValue` - corrected encryption length
Event.severity:
  WARN

#### unknownLanguage

    void unknownLanguage(Object source,
                         String location)

The language of a piece of text is unknown.

Parameters:
  `source` - the event source
  `location` - location in the source FO file, if any

#### unpairedSurrogate

    void unpairedSurrogate(Object source)

Unicode char map ended with an unpaired surrogate.

Parameters:
  `source` - the event source
Event.severity:
  ERROR

#### languageChanged

    void languageChanged(Object source,
                         Object oldLang,
                         String newLang)

The language was changed between pages

Parameters:
  `source` - the event source
  `oldLang` - current language
  `newLang` - new language
Event.severity:
  WARN